@media(max-width:1550px){
    html .card {
        padding: 12px;
    }
    .card.card-number3 .card3-content {
        padding: 16px;
    }
    .table_modal button.zoomable-table_btn, .chart_modal  button.zoomable-table_btn {
        right: 22px;
        top: 22px;
    }
    .engine-fuel-hours .icon-box .img {
        min-width: 30px;
        width: 30px;
        height: 30px;
        padding: 6px;
        border-radius: 5px;
    }
    .engine-fuel-hours .icon-box {
        border-radius: 10px 10px 0 0;
    }
    .dummy_title {
        height: 53px;
    }
    .engine-fuel-hours .icon-box  .title h5 {
        font-size: 15px;
    }
    .fule-hours h5 {
        gap: 9px;
        font-size: 16px;
    }
    
}
@media (min-width:1025px){
    .row-cols-5 > .col-lg {
        width: 20%;
        max-width: 20%;
    }
}
@media (min-width: 1200px) and (max-width:1399px){
    .filter-panel input.form-control[name='dates'],.bootstrap-timepicker input.form-control {
        max-width: 120px;
    }
    .card.card-number3 h6 {
        font-size: 14px;
    }
    .card.card-number3 .card3-content {
        padding: 15px 0;
        margin: 0;
    }   
    .card3-content h5 {
        font-size: 16px;
    }
    .engine-fuel-hours .title h4 {
        font-size: 12px;
        padding: 11px 9px;
    }
    .card.card-number.grediant_card :not(.icon-box) .img {
        width: 46px;
        height: 46px;
        background: #fff;
        padding: 5px;
        border-radius: 6px;
        box-shadow: 4px 4px 7px 0px #00000026;
    }
    .grediant_card h5.title {
        font-size: 20px;
    }
    .grediant_card h5.title + p {
        font-size: 11px !important;
    }
}
@media(min-width:992px) and (max-width:1199px){
    body.sidebar-collapsein .content {
        transform: translatex(calc(var(--sidebar-width) - 65px));
        width: calc(100% - (var(--sidebar-width) - 65px) );
    }
    .filter-panel input.form-control[name='dates'], .bootstrap-timepicker input.form-control {
        max-width: 103px;
        font-size: 13px;
    }
    .card.card-number2 h3 {
        font-size: 18px;
    }
    .wether_speed_gcu ul {
        gap: 8px;
    }
    .wether_speed_gcu ul li {
        padding: 8px 15px;
        font-size: 13px;
    }
}

@media(max-width:991px){
    
    :root {
        --body-font-size:13px;
        --sidebar-width: 280px;

    }
    
    .header-search {
        width: 230px;
    }
    header .logo a {
        max-width: 90px;
        display: flex;
        align-items: center;
        height: 40px;
    }
    body.sidebar-collapsein .content {
        transform: unset;
    }
    body.sidebar-collapsein header {
        transform: unset;
        padding: 6px 18px 6px 18px;
    }
    
    body {
        padding-left: 0;
        padding-top: 50px;
    }
    .page-heading .btn.btn-mate {
        padding-left: 0;
        padding-right: 0;
        width: 32px;
        justify-content: center;
        height: 32px;
    }
    .page-heading .btn.btn-mate
    header {
        min-height: 56px;
        padding: 0 20px;
    }
    .header-profile-name > .btn .text{
        display: none;
    }
    header nav > ul > li + li {
        margin-left: 20px;
    }
    header nav > ul > li > a {
        font-size: 13px;
    }
    .header-search-field {
        width: auto;
    }
    .header-search.input-group-merge .form-control {
        min-width: 272px;
        background: var(--primary-light);
        border: 0;
    }
    .product-add-page .row.card-strash>* {
        margin-bottom: 12px;
    }
    .card .h2 {
        font-size: 14px;
    }
    .sidebar-logo {
        display: none;
    }
    .page-heading h2 {
        font-size: 15px;
    }
    .page-heading-search-field {
        display: none
    }
    .filter-item-field label {
        display: none;
    }
    ul.header-icon-list {
        padding-right: 0;
        border:0 !important;
    }
    .btn {
        --cs-btn-font-size: 13px;
        --cs-btn-line-height: 34px;
        --cs-btn-min-width: 90px;
    }
    .select2-container--default .select2-selection--single {
        height: 36px;
    }
    .btn-sm {
        --cs-btn-min-width: 70px;
    }
    .header-nav-wrap .navwrap {
        max-width: calc(100vw - 210px);
    }
    html .table tbody td, html .table tbody th {
        padding: 5px 10px;
    }
    .table.table-list-data thead th {
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .sidebar-logo .img-icon {
        max-width: 38px;
    }
    ul.menu-navigation > li {
        margin-bottom: 10px;
    }
    html .simplebar-track.simplebar-vertical .simplebar-scrollbar:before{
        left: 5px;
    }
    .menu-sidebar {
        width: var(--sidebar-width);
        transform: translateX(-100%);
        top: 0;
    }
    .menu-sidebar:before {
        display: none;
    }
    body.sidebar-collapsein .menu-sidebar {
        transform: translateX(0%);
    }
    ul.menu-navigation > li > a > .text{
        display: block;
    }
    ul.menu-navigation > li > a{
        width: calc(100% - 25px);
        text-align: left;
        padding: 0px 11px;
    }
    header nav > ul > li > a{
        line-height: 45px;
    }
    header nav > ul > li.active > a, header nav > ul > li > a:hover {
        text-underline-offset: 22px;
    }
    header nav > ul{
        justify-content: center;
    }
    ul.header-icon-list {
        padding-right: 0;
        border: 0 !important;
    }
    .search_dropdown .dropdown-menu {
        padding: 8px 10px;
    }
    .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 998;
        background: #0000005e;
        opacity: 0;
        visibility: hidden;
    }
    body.sidebar-collapsein .overlay{
        opacity: 1;
        visibility: visible;
    }
    .menu-sidebar .header-icon-list {
        border-top: 1px solid rgba(234, 238, 245, 1) !important;
        padding-bottom: 10px;
        padding-top: 10px;
        list-style: none;
        display: flex;
        gap: 10px;
        padding-left: 0;
        margin:0;
    }
    .menu-sidebar .toggle-icon{
        border: 0;
    }
    .menu-sidebar  .navbar-toggle {
        width: 36px;
        height: 30px;
        position: absolute;
        top: 15px;
        right: 3px;
    }
    .menu-sidebar > ul.menu-navigation {
        border-top: 1px solid #eaeef5;
        box-shadow: 0 -1px 4px 0 #00000017;
    }
    .dark-active .menu-sidebar > ul.menu-navigation {
        border-color: rgba(255,255,255,0.1);
    }
    .dark-active .menu-sidebar .header-icon-list{
        border-color: rgba(255,255,255,0.1) !important;
    }
    .product-add-page .image-upload {
        width: 98px;
        min-height: 98px;
    }
    .product-add-page .image-upload img {
        width: 68%;
    }
    .report-sidebar {
        transform: translateX(100%);
    }
    body:has(.report-sidebar) header{
        padding-right: 20px;
        padding-left: 20px;
    }
    body:has(.report-sidebar ){
        padding-right: 0;
        padding-top: 77px;
    }
    .card-tab-scroll:before {
        right: -15px;
    }
    .dropdown-menu.filter-dropdown {
        min-width: 300px;
        max-width: 330px;
        width: 100%;
        padding: 20px;
    }
    .report-sidebar.active {
        transform: translateX(0px);
    }
    html .card {
        padding: 14px;
        margin: 0 0 18px;
    }
    .card.card-number2 {
        justify-content: center;
    }
    .card-number2 .img {
        width: 36px;
        height: 36px;
        padding: 8px;
    }
    .page-heading .dropdown .btn.btn-mate {
        font-size: 0;
        justify-content: center;
    }
    .card-numbers-wrap:has(.penalty_data) {
        margin-top: 10px;
    }
    header {
        padding-left: 20px;
    }
    .filter-panel .ui-widget-content {
        top: -8px;
    }
    .filter-panel input.form-control[name='dates'], .bootstrap-timepicker input.form-control {
        max-width: 103px;
        font-size: 13px;
    }
    .menu-sidebar {
        height: 100%;
    }
    .card.card-number3 h6 {
        font-size: 16px;
    }
    .card3-content h5 {
        font-size: 15px;
    }
    .card.card-number3 .card3-content > .row {
        padding: 10.6px 0px;
    }
    .card.card-number2 h3 {
        font-size: 18px;
    }
    
}
@media (max-width:767px){
    body {
        padding-left: 0;
        padding-top: 50px;
    }
    header {
        padding-left: 10px;
    }
    .product-add-page ul.size-n-value li {
        width: 50%;
    }
    .ingredients-table {
        overflow: hidden;
    }
    .ingredients-table th {
        white-space: nowrap;
    }
    .left-col {
        flex-wrap: nowrap;
        overflow-x: auto;
    }
    .left-col .col-auto {
        margin-bottom: 10px;
    }
    .card table.table tr td, .card table.table tr th {
        vertical-align: middle;
    }
    .login-content .card  .card-body {
        padding: 18px 0 10px;
    }
    .login-content .card .card-header {
        padding: 12px 0;
    }
    .login-content .card .card-header h2 {
        font-size: 24px;
    }
    .login-content {
        height: auto;
        display: block;
        padding: 20px;
    }
    .card-tab-scroll .nav-tabs {
        margin: 0 -18px;
    }
    .card-numbers h6 {
        font-size: 11px;
    }
    .card-numbers h3 {
        font-size: 16px;
        margin: 0 0 3px;
    }
    .card-numbers .img {
        width: 36px;
        height: 36px;
    }
    .dropdown-menu.filter-dropdown {
        min-width: 300px;
        max-width: 330px;
        width: 100%;
        padding: 20px;
    }
    .offcanvas.offcanvas-end {
        width: 100%;
        border-left: 0;
    }
    .table-responsive.fold-table thead tr:first-child th:first-child {
        z-index: 2;
        min-width: auto;
    }
    html .product-add-page .card table.table tbody tr:last-child td {
        padding-bottom: 10px;
    }
    html .product-add-page .card table.table tbody tr td {
        font-size: 11px;
    }
    .table-responsive.fold-table thead tr th{
        font-size: 12px;
    }
    .penalty-tab li.nav-item span.d-block {
        text-wrap: auto;
    }
    .penalty-tab.nav-tabs li {
        max-width: 116px;
    }
    .fueleu-report.voy-report strong {
        font-size: 12px;
    }
    .fueleu-report.voy-report .fs-12 ,
    .fueleu-report.voy-report .fs-15 {
        font-size: 11px !important;
    }
    .fueleu-report.voy-report svg {
        max-width: 38px;
    }
    .fueleu-report img {
        padding: 10px 0 15px;
    }
    .filter-panel input.form-control[name='dates'], .bootstrap-timepicker input.form-control {
        max-width: 100%;
        font-size: 13px;
    }
    .filter-panel .box h5 {
        margin-bottom: 4px;
        margin-top: 5px;
    }
    html .filter-panel {
        position: fixed;
        top: 0;
        z-index: 9999;
        margin: 0;
        height: 100%;
        border-radius: 0;
        max-width: 330px;
        right: 0;
        transform: translateX(100%);
        transition: all 0.5s;
    }
    html .filter-panel.active{
        transform: translateX(0%);
    }
    .filter-panel button.filter_toggle_btn {
        background: transparent;
        width: 56px;
        position: absolute;
        right: 0;
        top: 7px;

    }
    html body:has(.filter-panel.active):after {
        position: fixed;
        content: '';
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background: #00000047;
        z-index: 99;
    }
    .inner-banner span.select2-selection.select2-selection--single {
        height: 32px;
    }
    .card.card-number2 h3 {
        margin: 0;
        font-size: 19px;
    }
    .title-col{
        display: none;
    }
    .card-number.grediant_card {
        height: auto;
        margin-bottom: 10px;
    }
    .grediant_card h5.title {
        font-size: 22px;
    }
    .card.card-number2 h6 {
        -webkit-line-clamp: 1;
        display: -webkit-box;
        overflow: hidden;
        -webkit-box-orient: vertical;
    }
    ul.tab-page-link a img {
    display: block;
    margin: 0 auto 5px;
}
ul.tab-page-link a {
    padding: 5px 10px;
    line-height: 120%;
    max-width: 90px;
    font-size: 11px;
    width: 100%;
}
.month-structure .wrp {
    display: inline-flex;
}
.month-structure {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 0;
    border: 0;
    padding-bottom: 10px;
}
.month-structure .wrp {
    padding: 7px 1px;
}
}